<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_0f939e9a0c1b1" . "7527bce221f42e" . "e827e" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQpIHQ" . "="), "_07afa3e4c6840a90ca78" . "db3521dfbe2b" => base64_decode("c3RkQ2xhc3" . "M="), "_ead9f77" . "46c5d5e2" . "801ce570" . "4837fb63" . "b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ" . "2F0aW9uIEFORCA="), "_c5aeb46" . "d4987229" . "cd003332" . "3a7f8683" . "6" => base64_decode("b2JqZWN0" . "cw=="), "_79a5c6862da55a81b" . "bba54a4e91b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb2JqZWN0cyBERVND" . "LCB1bmlxdWVfb2JqZWN0cyBERVNDLCB1c2VyX2lkIEFTQw=="), "aggrega" . "tion" => base64_decode("YWdn" . "cmVn" . "YXRp" . "b24="), "user_i" . "d" => base64_decode("dXNlcl9" . "pZA=="), "_d9e86995f0bc6219b382" . "3d8422326153" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZWdhdGlvbiA9IGludDphZ2dy" . "ZWdhdGlvbiBBTkQg"));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d9e86995f0bc621" . "9b3823d842232615" . "3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_79a5c6862da55a81bbba54a4e9" . "1b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["aggregati" . "on"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["user_" . "id"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c5aeb46d49" . "87229cd0033" . "323a7f86836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_ead9f7746c5d5e28" . "01ce5704837fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0f939e9" . "a0c1b175" . "27bce221" . "f42ee827" . "e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_07afa3e4c6840a90ca78db3521dfbe" . "2b"];
    }
}